program project1;

{$mode objfpc}{$H+}

uses
  windows, Classes,sysutils;

Const
  LibName = 'LibRfc32.dll';
var
  LibHandle : THandle;
begin
  if FileExists(LibName) then
  begin
    // Ermittelt den Handle der zuverwendenden Library
    LibHandle := Windows.LoadLibrary(PChar(LibName));

    // Prüft, ob das Laden der DLL erfolgreich war
    if LibHandle <> 0 then
      Writeln(Format('Laden der DLL war erfolgreich! LibHandle=%d',[LibHandle]))
    else
      Writeln(Format('Laden der DLL gescheitert! LibHandle=%d',[LibHandle]));

    // Freigabe des Arbeitsspeichers
    Windows.FreeLibrary(LibHandle);
  end
  else
    Writeln(Format('DLL %s im Dateisystem nicht gefunden',[LibName]));
  Readln;

end.

